using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Text;
using System.Windows.Forms;
using System.Drawing.Design;

namespace HelpLibrary
{
    public partial class HelpButton : UserControl
    {

        public HelpButton()
        {
            InitializeComponent();
        }

        protected void HelpButton_Load(object sender, EventArgs e)
        {

        }

        [Category("Help")]
        [Description("Text on button")]
        public String Label
        {
            get { return this.buttonHelp.Text; }
            set { this.buttonHelp.Text = value; }
        }

        [Category("Help")]
        [Description("Help String for Button")]
        [Editor(typeof(HelpEditor), typeof(UITypeEditor))]
        public String HelpString
        {
            get { return this.strHelpString; }
            set { this.strHelpString = value; }
        }
        private String strHelpString;

        [Category("Help")]
        [Description("Help String for Button")]
        public TextHelpBox DisplayBox
        {
            get { return this.helpTextBox; }
            set { this.helpTextBox = value; }
        }
        private TextHelpBox helpTextBox;

        public virtual void buttonHelp_MouseEnter(object sender, EventArgs e)
        {
            if (helpTextBox != null)
            {
                helpTextBox.HelpString = this.HelpString;
            }
        }

        public void buttonHelp_MouseLeave(object sender, EventArgs e)
        {
            //if (helpTextBox != null)
            //{
            //    helpTextBox.HelpString = "";
            //}
        }

        public void buttonHelp_Click(object sender, EventArgs e)
        {
            OnClick(e);
        }

        public void HelpButton_Click(object sender, EventArgs e)
        {            
        } 
    }
}
