using System;
namespace HelpLibrary
{
    partial class TextHelpBox
    {
        /// <summary>
        /// Required designer variable.
        /// </summary>
        private System.ComponentModel.IContainer components = null;

        /// <summary>
        /// Clean up any resources being used.
        /// </summary>
        /// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
        protected override void Dispose(bool disposing)
        {
            if (disposing)
            {
                if (this.bNeedUpdate)
                {                
                    bNeedUpdate = false;
                    helpInfoBindingSource.EndEdit(); 
                    //String domain = (String) AppDomain.CurrentDomain.GetData("DataDirectory");
                    //helpInfoTableAdapter.Connection.ConnectionString =
                    //    @"Provider=Microsoft.Jet.OLEDB.4.0;Data Source=..\..\helpInfo.mdb";
                    ////AppDomain.CurrentDomain.SetData("DataDirectory", @"\cop4226\0801\HelpLibrary");
                    //helpInfoTableAdapter.Update(this.helpInfoDataSet.HelpInfo);
                    ////AppDomain.CurrentDomain.SetData("DataDirectory", domain);    
                    String domain = (String)AppDomain.CurrentDomain.GetData("DataDirectory");
                    AppDomain.CurrentDomain.SetData("DataDirectory", @"\cop4226\0801\HelpLibrary");
                    helpInfoTableAdapter.Connection.ConnectionString =
                        @"Provider=Microsoft.Jet.OLEDB.4.0;Data Source=..\..\helpInfo.mdb";
                    //Console.Out.WriteLine(this.helpInfoTableAdapter.Connection.ConnectionString);
                    //this.helpInfoTableAdapter.Connection. = "|DataDirectory|\\helpinfo.mdb";
                    this.helpInfoTableAdapter.Fill(this.helpInfoDataSet.HelpInfo);
                    //AppDomain.CurrentDomain.SetData("DataDirectory", domain);
                }
                if (components != null)
                {
                    components.Dispose();
                }
            }
            base.Dispose(disposing);
        }

        #region Component Designer generated code

        /// <summary>
        /// Required method for Designer support - do not modify 
        /// the contents of this method with the code editor.
        /// </summary>
        private void InitializeComponent()
        {
            this.components = new System.ComponentModel.Container();
            this.textBoxHelp = new System.Windows.Forms.TextBox();
            this.helpInfoBindingSource = new System.Windows.Forms.BindingSource(this.components);
            this.helpInfoDataSet = new HelpLibrary.helpInfoDataSet();
            this.contextMenuStripHelp = new System.Windows.Forms.ContextMenuStrip(this.components);
            this.fontToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
            this.menuStrip1 = new System.Windows.Forms.MenuStrip();
            this.fontToolStripMenuItem1 = new System.Windows.Forms.ToolStripMenuItem();
            this.helpInfoTableAdapter = new HelpLibrary.helpInfoDataSetTableAdapters.HelpInfoTableAdapter();
            ((System.ComponentModel.ISupportInitialize)(this.helpInfoBindingSource)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.helpInfoDataSet)).BeginInit();
            this.contextMenuStripHelp.SuspendLayout();
            this.menuStrip1.SuspendLayout();
            this.SuspendLayout();
            // 
            // textBoxHelp
            // 
            this.textBoxHelp.DataBindings.Add(new System.Windows.Forms.Binding("Text", this.helpInfoBindingSource, "HelpString", true));
            this.textBoxHelp.Dock = System.Windows.Forms.DockStyle.Fill;
            this.textBoxHelp.Location = new System.Drawing.Point(0, 24);
            this.textBoxHelp.Multiline = true;
            this.textBoxHelp.Name = "textBoxHelp";
            this.textBoxHelp.ScrollBars = System.Windows.Forms.ScrollBars.Both;
            this.textBoxHelp.Size = new System.Drawing.Size(150, 126);
            this.textBoxHelp.TabIndex = 0;
            this.textBoxHelp.TextChanged += new System.EventHandler(this.textBoxHelp_TextChanged);
            this.textBoxHelp.KeyDown += new System.Windows.Forms.KeyEventHandler(this.textBoxHelp_KeyDown);
            this.textBoxHelp.KeyUp += new System.Windows.Forms.KeyEventHandler(this.textBoxHelp_KeyUp);
            this.textBoxHelp.Enter += new System.EventHandler(this.textBoxHelp_Enter);
            this.textBoxHelp.Validating += new System.ComponentModel.CancelEventHandler(this.textBoxHelp_Validating);
            this.textBoxHelp.ModifiedChanged += new System.EventHandler(this.textBoxHelp_ModifiedChanged);
            // 
            // helpInfoBindingSource
            // 
            this.helpInfoBindingSource.DataMember = "HelpInfo";
            this.helpInfoBindingSource.DataSource = this.helpInfoDataSet;
            // 
            // helpInfoDataSet
            // 
            this.helpInfoDataSet.DataSetName = "helpInfoDataSet";
            this.helpInfoDataSet.SchemaSerializationMode = System.Data.SchemaSerializationMode.IncludeSchema;
            // 
            // contextMenuStripHelp
            // 
            this.contextMenuStripHelp.Items.AddRange(new System.Windows.Forms.ToolStripItem[] {
            this.fontToolStripMenuItem});
            this.contextMenuStripHelp.Name = "contextMenuStripHelp";
            this.contextMenuStripHelp.Size = new System.Drawing.Size(108, 26);
            // 
            // fontToolStripMenuItem
            // 
            this.fontToolStripMenuItem.Name = "fontToolStripMenuItem";
            this.fontToolStripMenuItem.Size = new System.Drawing.Size(107, 22);
            this.fontToolStripMenuItem.Text = "Font";
            this.fontToolStripMenuItem.Click += new System.EventHandler(this.fontToolStripMenuItem_Click);
            // 
            // menuStrip1
            // 
            this.menuStrip1.Items.AddRange(new System.Windows.Forms.ToolStripItem[] {
            this.fontToolStripMenuItem1});
            this.menuStrip1.Location = new System.Drawing.Point(0, 0);
            this.menuStrip1.Name = "menuStrip1";
            this.menuStrip1.Size = new System.Drawing.Size(150, 24);
            this.menuStrip1.TabIndex = 1;
            this.menuStrip1.Text = "menuStrip1";
            // 
            // fontToolStripMenuItem1
            // 
            this.fontToolStripMenuItem1.Name = "fontToolStripMenuItem1";
            this.fontToolStripMenuItem1.Size = new System.Drawing.Size(41, 20);
            this.fontToolStripMenuItem1.Text = "Font";
            this.fontToolStripMenuItem1.Click += new System.EventHandler(this.fontToolStripMenuItem1_Click);
            // 
            // helpInfoTableAdapter
            // 
            this.helpInfoTableAdapter.ClearBeforeFill = true;
            // 
            // TextHelpBox
            // 
            this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
            this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
            this.Controls.Add(this.textBoxHelp);
            this.Controls.Add(this.menuStrip1);
            this.Name = "TextHelpBox";
            this.Load += new System.EventHandler(this.TextHelpBox_Load);
            ((System.ComponentModel.ISupportInitialize)(this.helpInfoBindingSource)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.helpInfoDataSet)).EndInit();
            this.contextMenuStripHelp.ResumeLayout(false);
            this.menuStrip1.ResumeLayout(false);
            this.menuStrip1.PerformLayout();
            this.ResumeLayout(false);
            this.PerformLayout();

        }

        #endregion

        private System.Windows.Forms.TextBox textBoxHelp;
        private System.Windows.Forms.ContextMenuStrip contextMenuStripHelp;
        private System.Windows.Forms.ToolStripMenuItem fontToolStripMenuItem;
        private System.Windows.Forms.MenuStrip menuStrip1;
        private System.Windows.Forms.ToolStripMenuItem fontToolStripMenuItem1;
        public System.Windows.Forms.BindingSource helpInfoBindingSource;
        public helpInfoDataSet helpInfoDataSet;
        public HelpLibrary.helpInfoDataSetTableAdapters.HelpInfoTableAdapter helpInfoTableAdapter;
    }
}
